Page MenuHomePhabricator

Create a new books namespace on ur.wiki
Closed, ResolvedPublic

Description

Per community concensus here: https://ur.wikipedia.org/wiki/ویکیپیڈیا:دیوان_عام/طرزیات

Please create a new namespace
namespace name: کتاب
namespace talk: تبادلۂ خیال کتاب

This namespace will be used to hold the PediaPress books just like the book: namespace on en.wiki

Thanks

Event Timeline

2526 created this task.Aug 18 2015, 7:57 PM
2526 raised the priority of this task from to Needs Triage.
2526 updated the task description. (Show Details)
2526 added a project: Wikimedia-Site-requests.
2526 added a subscriber: 2526.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 18 2015, 7:57 PM

My understanding is that the Book namespace is treated in a special way by the Collection extension? How are you expecting this new namespace to behave exactly?

Yeah, exactly. Collection extension is already installed on urdu wikipedia, Now we request to create book ns so that we can use it along with extension.

Okay. Please address my question.

Answered your question above. This namespace works under collection ext. We are expecting exactly as it works on eng & other wikis.

Mjbmr triaged this task as Low priority.Aug 21 2015, 8:34 AM
Mjbmr set Security to None.
Mjbmr added a subscriber: Mjbmr.

Just need namespaces?

Aha: https://phabricator.wikimedia.org/diffusion/ECOL/browse/master/README.rst;0c8d5899d3430059dd5b47f7f4379e4b04b58d12$381-389
So we should just be able to add the namespace, local admins can handle hooking it up to the extension via that coll-community_book_prefix message.

Krenair claimed this task.Aug 21 2015, 10:16 AM
Krenair moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 232915 had a related patch set uploaded (by Alex Monk):
Book namespaces for Urdu Wikipedia

https://gerrit.wikimedia.org/r/232915

Change 232915 merged by Alex Monk:
Book namespaces for Urdu Wikipedia

https://gerrit.wikimedia.org/r/232915

Krenair closed this task as Resolved.Aug 24 2015, 3:32 PM